> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Who would be offered this version

> Crew templates and agents pinned to an older version of this artifact,
which would be offered this one as an update once it is approved.



## OpenAPI

````yaml get /api/registry/versions/{version_id}/impact
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/versions/{version_id}/impact:
    get:
      tags:
        - Registry
      summary: Who would be offered this version
      description: |-
        Crew templates and agents pinned to an older version of this artifact,
        which would be offered this one as an update once it is approved.
      operationId: version_impact_api_registry_versions__version_id__impact_get
      parameters:
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The version's ID.
            title: Version Id
          description: The version's ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImpactResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ImpactResponse:
      properties:
        version_id:
          type: string
          format: uuid
          title: Version Id
        templates:
          items:
            $ref: '#/components/schemas/ImpactTemplate'
          type: array
          title: Templates
        agents:
          items:
            $ref: '#/components/schemas/ImpactAgent'
          type: array
          title: Agents
      type: object
      required:
        - version_id
        - templates
        - agents
      title: ImpactResponse
      description: What would be offered this version as an update.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    ImpactTemplate:
      properties:
        template_id:
          type: string
          format: uuid
          title: Template Id
        name:
          type: string
          title: Name
        created_by:
          type: string
          title: Created By
        is_shared:
          type: boolean
          title: Is Shared
        pinned_version:
          type: string
          title: Pinned Version
      type: object
      required:
        - template_id
        - name
        - created_by
        - is_shared
        - pinned_version
      title: ImpactTemplate
      description: A crew template pinned to an older version of the artifact.
    ImpactAgent:
      properties:
        artifact_id:
          type: string
          format: uuid
          title: Artifact Id
        name:
          type: string
          title: Name
        kind:
          $ref: '#/components/schemas/ArtifactKind'
          default: agent
        version:
          type: string
          title: Version
        pinned_version:
          type: string
          title: Pinned Version
      type: object
      required:
        - artifact_id
        - name
        - version
        - pinned_version
      title: ImpactAgent
      description: |-
        An agent or context pack whose newest version uses an older version of
        the artifact.
    ArtifactKind:
      type: string
      enum:
        - agent
        - skill
        - mcp_server
        - tool
        - context_pack
        - ontology
        - prompt
        - workflow
        - brand
        - code_repo
      title: ArtifactKind
      description: What an artifact is.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.